.NET

.NET

Reply
Valued Contributor
99 Posts
4 Kudos
Registered: ‎10-03-2011
Post 1 of 2
Accepted Solution

Can't select block after redefining it.

317 Views, 1 Replies
02-24-2012 11:51 AM

Hello Forum,

 

after I redefine a block (I make it bigger), I can't select the block by clicking on the part that's gotten bigger. It is as if AutoCAD still remembers the outlining of the previous smaller block and if I click outside this outlining it doesnt select the block. If I save, close and reopen the drawing everything is fine and I can select the block as normal.

 

Why is this caused?

 

Thank you.

  

// Insert from dwg file.
using (dbInsert = new Database(false, true))
{
    dbInsert.ReadDwgFile(strDwgPath, System.IO.FileShare.Read, true, "");
    oidInsert = dbActive.Insert(System.IO.Path.GetFileNameWithoutExtension(strDwgPath), dbInsert, true);
}
// Regenerate the drawing
CADS.Application.DocumentManager.MdiActiveDocument.Editor.Regen();
 

 

... insert random untested code here ....

 

Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument

Dim ed As Editor = doc.Editor
Dim db As Database = doc.Database 

Using tr As Transaction = db.TransactionManager.StartTransaction()

Dim bref As BlockReference = Nothing

 

.. do stuff


bref.RecordGraphicsModified(True)
tr.TransactionManager.QueueForGraphicsFlush()
doc.TransactionManager.FlushGraphics()
ed.UpdateScreen()
tr.Commit()

 

*Expert Elite*
1,286 Posts
37 Kudos
Registered: ‎06-21-2004
Post 2 of 2

Re: Can't select block after redefining it.

02-24-2012 12:57 PM in reply to: Ertqwa

... insert random untested code here ....

 

Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument

Dim ed As Editor = doc.Editor
Dim db As Database = doc.Database 

Using tr As Transaction = db.TransactionManager.StartTransaction()

Dim bref As BlockReference = Nothing

 

.. do stuff


bref.RecordGraphicsModified(True)
tr.TransactionManager.QueueForGraphicsFlush()
doc.TransactionManager.FlushGraphics()
ed.UpdateScreen()
tr.Commit()

 

---------------------------



(defun botsbuildbots() (botsbuildbots))
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are you interested in helping shape the future of the Autodesk Community? To participate in this brief usability study, please click here. Your time and input is greatly appreciated!